Debian Bug report logs - #663194
splat: FTBFS with current zlib

version graph

Package: splat; Maintainer for splat is Bdale Garbee <bdale@gag.com>; Source for splat is src:splat.

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Fri, 9 Mar 2012 10:15:01 UTC

Severity: serious

Tags: patch

Found in version splat/1.4.0-1

Fixed in version splat/1.4.0-2

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#663194; Package splat. (Fri, 09 Mar 2012 10:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Fri, 09 Mar 2012 10:15:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: splat: FTBFS with current zlib
Date: Fri, 09 Mar 2012 11:11:33 +0100
Package: splat
Version: 1.4.0-1
Severity: serious

Your package fails to build from source:

usgs2sdf.c: In function 'main':
usgs2sdf.c:65:4: warning: variable 'selat' set but not used [-Wunused-but-set-variable]
usgs2sdf.c:64:50: warning: variable 'selong' set but not used [-Wunused-but-set-variable]
usgs2sdf.c:64:16: warning: variable 'nwlat' set but not used [-Wunused-but-set-variable]
usgs2sdf.c:64:4: warning: variable 'nwlong' set but not used [-Wunused-but-set-variable]
(cd utils ; \
                cc -g -Wall -O3 srtm2sdf.c -o srtm2sdf -lbz2)
srtm2sdf.c: In function 'LoadSDF_SDF':
srtm2sdf.c:250:12: warning: variable 'n' set but not used [-Wunused-but-set-variable]
srtm2sdf.c: In function 'main':
srtm2sdf.c:607:32: warning: variable 's' set but not used [-Wunused-but-set-variable]
(cd utils ; \
                rm -f srtm2sdf-hd ; ln -s srtm2sdf srtm2sdf-hd )
(cd utils ; \
                cc -g -Wall -O3 fontdata.c -o fontdata -lz)
fontdata.c: In function 'main':
fontdata.c:45:9: warning: assignment from incompatible pointer type [enabled by default]
fontdata.c:61:10: error: 'FILE' has no member named 'have'
fontdata.c:61:10: error: 'FILE' has no member named 'have'
fontdata.c:61:10: error: 'FILE' has no member named 'pos'
fontdata.c:61:10: warning: left-hand operand of comma expression has no effect [-Wunused-value]
fontdata.c:61:10: error: 'FILE' has no member named 'next'
fontdata.c:61:10: warning: left-hand operand of comma expression has no effect [-Wunused-value]
fontdata.c:61:4: warning: passing argument 1 of 'gzgetc_' from incompatible pointer type [enabled by default]
/usr/include/zlib.h:1653:21: note: expected 'gzFile' but argument is of type 'struct FILE *'
fontdata.c:78:3: warning: passing argument 1 of 'gzclose' from incompatible pointer type [enabled by default]
/usr/include/zlib.h:1488:24: note: expected 'gzFile' but argument is of type 'struct FILE *'
make[1]: *** [override_dh_auto_build] Error 1
make[1]: Leaving directory `/home/jmm/splat-1.4.0'
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2




Added tag(s) patch. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 10 Mar 2012 09:12:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#663194; Package splat. (Sat, 10 Mar 2012 09:13:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Sat, 10 Mar 2012 09:13:40 GMT) Full text and rfc822 format available.

Message #12 received at 663194@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 663194@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: splat: 663194: patch for FTBFS with new zlib
Date: Sat, 10 Mar 2012 17:11:28 +0800
[Message part 1 (text/plain, inline)]
tags 663194 + patch
thanks

The attached patch fixes the FTBFS of splat due to the recent changes in
the zlib API.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[fix-FTBFS-with-new-zlib.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Sun, 11 Mar 2012 06:21:09 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Sun, 11 Mar 2012 06:21:09 GMT) Full text and rfc822 format available.

Message #17 received at 663194-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 663194-close@bugs.debian.org
Subject: Bug#663194: fixed in splat 1.4.0-2
Date: Sun, 11 Mar 2012 06:17:48 +0000
Source: splat
Source-Version: 1.4.0-2

We believe that the bug you reported is fixed in the latest version of
splat, which is due to be installed in the Debian FTP archive:

splat_1.4.0-2.debian.tar.gz
  to main/s/splat/splat_1.4.0-2.debian.tar.gz
splat_1.4.0-2.dsc
  to main/s/splat/splat_1.4.0-2.dsc
splat_1.4.0-2_i386.deb
  to main/s/splat/splat_1.4.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663194@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated splat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 10 Mar 2012 23:10:06 -0700
Source: splat
Binary: splat
Architecture: source i386
Version: 1.4.0-2
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 splat      - analyze point-to-point terrestrial RF communication links
Closes: 663194
Changes: 
 splat (1.4.0-2) unstable; urgency=low
 .
   * patch from Paul Wise to fix FTBFS due to changes in zlib, closes: #663194
Checksums-Sha1: 
 9d3bcb1bc75ab04ec25fa73e822fa564db089e87 1842 splat_1.4.0-2.dsc
 5ad497697d2fc0ba2412cbb44ce2afe6138ac269 3235 splat_1.4.0-2.debian.tar.gz
 51e4e20f71f561eb513f710381357a2ad25da149 193982 splat_1.4.0-2_i386.deb
Checksums-Sha256: 
 b29dfe13c661ee0cd9a3d71551f7e829a11252773f9080c844a592097b907301 1842 splat_1.4.0-2.dsc
 f7621af64d88439e387a156c1036504e4d172f9f3e14098da7deaa59d13620ea 3235 splat_1.4.0-2.debian.tar.gz
 00dc76833408563474e3b65d0b4292d24f598a7d5b8370c1d4dafee86b0b1783 193982 splat_1.4.0-2_i386.deb
Files: 
 875734a94760c67748549718256f4ef1 1842 hamradio optional splat_1.4.0-2.dsc
 6de470f630d37a2f2a30890704a0a794 3235 hamradio optional splat_1.4.0-2.debian.tar.gz
 1f47e2190ea0e0a9193501a3f0d6ac1d 193982 hamradio optional splat_1.4.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBT1xC6jqTYZbAldlBAQpy5w/+OH6lEHrnlF1CeXU9q5Ef8WX73P/yLsXW
w+fMsZl5n+caWPuG3s7BNhtCsY0JqdI/scqX2Y1swlSjOG2InjPsRwLz3wowsDHG
7CegkJvoMtFBHn5Byvrp5yjx1HNiNyzQnbs/hhOFl9/cUJRzhGCByYZ0X0hBCRmW
qLvvwxxmETHaS2WAmO6O6y9FjbrzeR7Okr8VejhS7NTCGfNtBwYppP0oPOQraD4J
+4c/a3wqIqzzo+2v5Yn8SFYkyTme1r8Bi8NWgr+R0Saix8woENLGEeRqC9a++xsO
0+PYu69pLZepLA7eTOfvAKSo8+KxmBf0X/fYMzifyAbiPbe6HlklKnkMthNtzdzr
YA7Y1lXAmZ05snbQNaTawjjQ3GiUFUhugV464jiSATk2aw83zig+OY4wKgFhU7tp
VTLb0W47k63NP9kp+RJSlRF4xAakP2qjl0XYl09jHQWpvM0DOZ/DhDvFa6LYh6Sl
/I+bXz/chrSNuHsgoW/bUNZlgaBDJwdlQmxWMK6e03l2HyJWwNdVsZp/s0CCmvtH
RxpT74KLO1X7jTTvjH9XaOQvQ2VGu6h44Ah+0/R9qPM+m5eVBHVrXr5c37NWGb3J
piQFUeZuQEyM3MrCv1udJs+oy+l3nU7kKxRafDsThaIcqIOx8mcXqtR8BapoHE2d
0qAtoLGEfng=
=JivE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Apr 2012 07:46:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:21:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.